package com.huimv.getdata.controller;

import com.huimv.getdata.entity.voucher.ErpVoucher;
import com.huimv.getdata.entity.xiaoshou.*;
import com.huimv.getdata.service.IErpVoucherService;
import com.huimv.getdata.service.IErpXiaoShouService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;
import java.util.List;


@RestController
@RequestMapping("/erp-XiaoShou")
public class ErpXiaoShouController {

    @Autowired
    IErpXiaoShouService iErpXiaoShouService;

    @RequestMapping(value = "/getWanChengLv",method = RequestMethod.GET)
    public List<XiaoShouWanChenLvJinE> getWanChengLv(@RequestParam(value = "date" ,required = false) String date){
        return iErpXiaoShouService.getWanChengLv(date);
    }

    @RequestMapping(value = "/getBaiFangKeHu",method = RequestMethod.GET)
    public List<BaiFangKeHu> getBaiFangKeHu(@RequestParam(value = "date" ,required = false) String date){
        return iErpXiaoShouService.getBaiFangKeHu(date);
    }

    @RequestMapping(value = "/getXiaoShouFaPiaoJinE",method = RequestMethod.GET)
    public List<XiaoShouFaPiaoJinE> getXiaoShouFaPiaoJinE(@RequestParam(value = "date" ,required = false) String date){
        return iErpXiaoShouService.getXiaoShouFaPiaoJinE(date);
    }

    @RequestMapping(value = "/getXiaoShouFaHuoJinEKeHuGongXian",method = RequestMethod.GET)
    public List<XiaoShouFaHuoJinEKeHuGongXian> getXiaoShouFaHuoJinEKeHuGongXian(@RequestParam(value = "date" ,required = false) String date){
        return iErpXiaoShouService.getXiaoShouFaHuoJinEKeHuGongXian(date);
    }

    @RequestMapping(value = "/getXiaoShouFeiYong",method = RequestMethod.GET)
    public List<XiaoShouFeiYong> getXiaoShouFeiYong(@RequestParam(value = "date" ,required = false) String date){
        return iErpXiaoShouService.getXiaoShouFeiYong(date);
    }

    @RequestMapping(value = "/getYvQiHeTongMingXi",method = RequestMethod.GET)
    public List<YvQiHeTongMingXi> getYvQiHeTongMingXi(@RequestParam(value = "date" ,required = false) String date){
        return iErpXiaoShouService.getYvQiHeTongMingXi(date);
    }

//    @RequestMapping(value = "/getErpId",method = RequestMethod.GET)
//    public List<YvQiHeTongMingXi> getErpId(@RequestParam(value = "date" ,required = false) String date){
//        return iErpXiaoShouService.getErpId(date);
//    }


}
