package vip.xiaonuo.write.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 出差路线
 * </p>
 *
 * @author author
 * @since 2024-12-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("write_travel_route")
public class WriteTravelRoute implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "出差路线id",position = 6)
    private Integer logId;

    @ApiModelProperty(value = "时间",position =1 )
    private String time;

    @ApiModelProperty(value = "地点",position =2 )
    private String address;

    @ApiModelProperty(value = "同行人员",position =3 )
    private String accountName;

    @ApiModelProperty(value = "天数",position =4 )
    private String days;

    @ApiModelProperty(value = "交通",position =5 )
    private String traffic;


}
