package vip.xiaonuo.write.param;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 通用预警阈值
 * </p>
 *
 * @author author
 * @since 2025-03-01
 */
@Data
public class WriteThresholdAddParam  {

    /**
     * 模块划分0财务1人事2采购3仓库4风控5生产6销售7质量
     */
    @ApiModelProperty(value = "模块划分0财务1人事2采购3仓库4风控5生产6销售7质量",position =1 )
    private Integer type;

    /**
     * 处理人名字
     */
    @ApiModelProperty(value = "处理人名字",position =2 )
    private String userName;

    /**
     * 处理人id
     */
    @ApiModelProperty(value = "处理人id",position = 3)
    private Integer userId;

    /**
     * 预警等级0普通 1重要
     */
    @ApiModelProperty(value = " 预警等级0普通 1重要",position =4 )
    private Integer level;

    /**
     * 指标
     */
    @ApiModelProperty(value = "指标",position = 5)
    private String index;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id",position =6 )
    private String orgId;

    /**
     * 指标
     */
    @ApiModelProperty(value = "指标id",position = 7)
    private String indexId;

    /**
     * 指标
     */
    @ApiModelProperty(value = "阈值",position = 8)
    private String values;

    @ApiModelProperty(value = "0为小于等于 1为大于",position = 9)
    private Integer isTrue;

    @ApiModelProperty(value = "公司名称",position = 10)
    private String orgName;

}

